Bug 433574 - [non-English] ediff chokes on files with no final EOL
Summary: [non-English] ediff chokes on files with no final EOL
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n, MoveUpstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-20 02:32 UTC by Jens Petersen
Modified: 2009-06-10 03:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 03:44:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2008-02-20 02:32:03 UTC
Description of problem:
ediff seems 

Version-Release number of selected component (if applicable):
emacs-22.1-8.fc8

How reproducible:
every time

Steps to Reproduce:
1. LANG=fr_FR.UTF-8 emacs
2. M-x ediff RET file-with-no-final-newline other-file

Actual results:
ediff fails to parse the no-final-newline warning from diff

Expected results:
ediff to display diff correctly

Additional info:
THis appears to be fixed in emacs-21.1.50-3.fc9.

Comment 1 Jens Petersen 2008-05-01 08:11:00 UTC
(In reply to comment #0)
> This appears to be fixed in emacs-22?.1.50-3.fc9.

Actually still happens with emacs-22.2.

Comment 2 Bug Zapper 2008-05-14 05:17:44 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tony Fu 2008-09-10 03:08:45 UTC
requested by Jens Petersen (#27995)

Comment 5 Jens Petersen 2008-12-17 23:44:53 UTC
Still happens with emacs-22.3 but seems to be fixed upstream in trunk (aka emacs23).

Comment 6 Bug Zapper 2009-06-09 23:35:52 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.